/*
 *
 * [desc.]
 */
#include "Tools/Viewer/Bdd/include/Component.h"

namespace morpheo{
namespace tools{
namespace viewer{
namespace bdd{     
  void Component::setComment(string s){
    comment=s;
  }


  string Component::getComment(){ return comment;}
  string Component::getName(){ return name;}
    string Component::getType(){ return type;}
  int Component::get_x(){return pos_x+size_x;}
  int Component::get_y(){return pos_y+size_y;}


  QList<morpheo::tools::viewer::bdd::PortMap> *Component::getPortMap()
  {
    return signal;
  }
  
  
};//end bdd
};//end viewer
};//end tools
};//end morpheo
